Download it now!
Bug 48104 - RTF import inserts a page feed every line after the first page
Summary: RTF import inserts a page feed every line after the first page
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.2 release
Hardware: PowerPC Mac OS X (All)
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:3.6.0 target:3.5.3
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-30 14:35 UTC by Rhodes
Modified: 2012-04-04 02:57 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
Example RTF file (5.71 KB, text/rtf)
2012-03-30 14:35 UTC, Rhodes
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rhodes 2012-03-30 14:35:33 UTC
Created attachment 59294 [details]
Example RTF file

Bug 43965 fixed "\page" failing to cause a page feed, but now I'm seeing a page feed inserted for every line after the first page of many of my documents. No other RTF reader I have (Word, Nisus Writer, WriteNow, etc.) does this. An example file is attached. I've tested this only on MacOS PPC, not Intel anything.
Comment 1 Miklos Vajna 2012-03-30 15:02:55 UTC
Confirmed, will have a look soon.
Comment 2 Not Assigned 2012-04-02 05:28:56 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7b58fc3dafc789aa55fff5ffef6ab83c3aa8b6e0

fdo#48104 fix RTF import of \page in inner groups
Comment 3 Miklos Vajna 2012-04-02 05:33:00 UTC
Fixed in master + added testcase, added to my -3-5 backport queue => closing.

Thanks for the report!
Comment 4 Not Assigned 2012-04-04 02:57:41 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-3-5":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5fa13451520a3e7e291611b47a151f770eaf3314&g=libreoffice-3-5

fdo#48104 fix RTF import of \page in inner groups


It will be available in LibreOffice 3.5.3.